%global origname supybot-limnoria
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           supybot-limnoria
Version:        0.83.5.20170519
Release:        1%{?dist}
Summary:        Cross-platform IRC bot written in Python

Group:          Applications/Internet
License:        BSD and GPLv2
URL:            https://github.com/ProgVal/Limnoria
Source0:        http://downloads.sourceforge.net/supybot/%{origname}-%{version}.tgz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python-setuptools-devel
Obsoletes:	supybot
Obsoletes:	supybot-gribble
Requires:       python-twisted-core
Requires:       python-twisted-names
Requires:       python-dateutil
Requires:       python-feedparser
Requires:       python-dictclient
Requires:       python-simplejson
Provides:       supybot-limnoria = %{version}-%{release}
Provides:       supybot

%description
Supybot is a robust, user-friendly, and programmer-friendly Python IRC bot.
It aims to be an adequate replacement for most existing IRC bots.  It
includes a very flexible and powerful ACL system for controlling access
to commands, as well as more than 50 builtin plugins providing around
400 actual commands.

%prep
%setup -q -n %{origname}-%{version}


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

# These are provided in python-feedparser, python-dateutil,
# python-dictclient, and python-simplejson
%{__rm} -rf %{buildroot}%{python_sitelib}/supybot/plugins/RSS/local
%{__rm} -rf %{buildroot}%{python_sitelib}/supybot/plugins/Time/local
%{__rm} -rf %{buildroot}%{python_sitelib}/supybot/plugins/Dict/local
%{__rm} -rf %{buildroot}%{python_sitelib}/supybot/plugins/Google/local

# Remove the second set of binaries and man pages until further justification can be found
%{__rm} -rf %{buildroot}%{_mandir}/man1/limnoria*
%{__rm} -rf %{buildroot}%{_bindir}/limnoria*

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE.md README.md CONTRIBUTING.md RELNOTES
%{python_sitelib}/*egg-info
%{python_sitelib}/supybot
%{_bindir}/supybot
%{_bindir}/supybot-adduser
%{_bindir}/supybot-botchk
%{_bindir}/supybot-plugin-create
%{_bindir}/supybot-plugin-doc
%{_bindir}/supybot-test
%{_bindir}/supybot-wizard
%{_mandir}/man1/*

%changelog
* Fri May 19 2017 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20170519-1
- New build from GIT

* Sun Mar 20 2016 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20160320-1
- New build from GIT

* Sat Oct 31 2015 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20151031-1
- New build from GIT

* Fri Dec 05 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20141205-1
- New build from GIT

* Fri Oct 10 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20141010-1
- New build from GIT

* Sat Aug 09 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20140809-1
- New build from GIT

* Wed Jun 25 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20140625-1
- Remove the second set of generated binaries which should be symlinks but are not

* Wed Jun 25 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20140625-1
- New upstream release based on git 

* Fri Sep 13 2013 John R. Dennison <jrd@ghettoforge.org> - 0.83.4.1.git-2
- Added "Obsoletes: supybot supybot-gribble" & "Provides: supybot" for
- compatibilities
* Wed Sep 11 2013 Bryan Seitz <seitz@ghettoforge.org> - 0.83.4.1.git-1
- Rebuilt for GhettoForge
